/*---------------------------------------------------------------------------*\
**$Author: saulius $
**$Date: 2011-03-08 18:45:40 +0000 (Tue, 08 Mar 2011) $ 
**$Revision: 1590 $
**$URL: svn://www.crystallography.net/cod-tools/trunk/CIFParser-c/libs/cexceptions/stringx.c $
\*---------------------------------------------------------------------------*/

/* exports: */
#include <stringx.h>

/* uses: */
#include <string.h>
#include <allocx.h>

#define merror( EX ) cexception_raise_in( EX, allocx_subsystem, \
					  ALLOCX_NO_MEMORY,     \
					  "Not enough memory" )

char *strdupx( const char *str, cexception_t *ex )
{
    void *s =NULL;
    if( str ) {
	s = strdup( str );
	if( !s ) merror( ex );
    }
    return s;
}
